> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Convert units

GET https://www.okx.com/api/v5/public/convert-contract-coin

Convert between the number of contracts and the amount of coins/quote currency for a derivatives instrument.

Reference: https://okx-demo.ferndocs.com/api/api-reference/public-data/get-convert-contract-coin

## Request

### Query parameters

- `type` (enum, optional) — Conversion type: 1 (convert coin to contracts) or 2 (convert contracts to coin). The default is 1.
  - Allowed values: `1`, `2`
- `instId` (string, required) — Instrument ID, only applicable to FUTURES/SWAP/OPTION.
- `sz` (string, required) — Quantity to convert. When converting a currency to contracts, it refers to the amount of coin; when converting contracts to a currency, it refers to the number of contracts.
- `px` (string, optional) — Order price. Not required for SPOT; required for OPTION when unit is usds.
- `unit` (enum, optional) — The unit of currency: coin or usds (USDT/USDC). Only applicable to SPOT-margined contracts.
  - Allowed values: `coin`, `usds`

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5PublicConvertContractCoinGetResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5PublicConvertContractCoinGetResponsesContentApplicationJsonSchemaDataItems

- `type` (string, optional) — Conversion type: 1 (coin to contracts) or 2 (contracts to coin).
- `instId` (string, optional) — Instrument ID.
- `px` (string, optional) — Order price used in the conversion.
- `sz` (string, optional) — Quantity resulting from the conversion.
- `unit` (string, optional) — The unit of currency: coin or usds.

## Examples

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": [
    {
      "type": "1",
      "instId": "BTC-USD-SWAP",
      "px": "35000",
      "sz": "311",
      "unit": "coin"
    }
  ]
}
```

**SDK Code**

```python publicData_getConvertContractCoin_example
import requests

url = "https://www.okx.com/api/v5/public/convert-contract-coin"

querystring = {"instId":"BTC-USD-SWAP","sz":"0.888"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript publicData_getConvertContractCoin_example
const url = 'https://www.okx.com/api/v5/public/convert-contract-coin?instId=BTC-USD-SWAP&sz=0.888';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go publicData_getConvertContractCoin_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/public/convert-contract-coin?instId=BTC-USD-SWAP&sz=0.888"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby publicData_getConvertContractCoin_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/public/convert-contract-coin?instId=BTC-USD-SWAP&sz=0.888")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java publicData_getConvertContractCoin_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.okx.com/api/v5/public/convert-contract-coin?instId=BTC-USD-SWAP&sz=0.888")
  .asString();
```

```php publicData_getConvertContractCoin_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.okx.com/api/v5/public/convert-contract-coin?instId=BTC-USD-SWAP&sz=0.888');

echo $response->getBody();
```

```csharp publicData_getConvertContractCoin_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/public/convert-contract-coin?instId=BTC-USD-SWAP&sz=0.888");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift publicData_getConvertContractCoin_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/public/convert-contract-coin?instId=BTC-USD-SWAP&sz=0.888")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```